Subject: Re: Bug#645308: tg3 broken for NetXtreme 5714S in squeeze 6.0.3 installer

From: Ben Hutchings <[email-masked]>
Date: Sat, 19 Nov 2011 19:37:16 +0000

On Sat, 2011-11-19 at 19:45 +0100, Marc Haber wrote:
> On Fri, Nov 18, 2011 at 11:54:35AM -0800, Matt Carlson wrote:
> > I think I misspoke earlier.  The commit I mentioned above fixes a problem
> > introduced in an earlier patch.  (commit ID
> > d2394e6bb1aa636f3bd142cb6f7845a4332514b5, entitled
> > "tg3: Always turn on APE features in mac_mode reg")  So the fact that
> > 2.6.32-35 works and 2.6.32-36 doesn't means you applied the problematic
> > patch that had the bug, but you didn't apply the above fix to correct it.
> 
> I can try a fixed kernel, but I don't understand the way Debian builds
> its kernels. I can
> 
> (a) download a Debian kernel source package, apply
> d2394e6bb1aa636f3bd142cb6f7845a4332514b5 and go the make; make install
> way or
> (b) wait for a kernel deb from Ben.
> 
> If (a) is expected to give reasonable results, I can do that.

I'm not going to build a complete new package myself, as you can easily
do that with the debian/bin/test-patches script in the source package.
But I can provide you with a rebuilt tg3.ko so you can test just that
change in the installer like you did previously.

Ben.

-- 
Ben Hutchings
The world is coming to an end.	Please log off.